ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jon Skeet" <jon.sk...@peramon.com>
Subject RE: How to update a jar?
Date Thu, 10 May 2001 11:57:19 GMT
> Jon Skeet <jon.skeet@peramon.com> wrote:
> 
> >> >> It is all coded up, using java.util.zip classes in Ant 1.3 and
> >> >> using a new org.apache.tools.zip package in Ant 1.4alpha.
> >> > 
> >> > Okay, that presumably makes it a right royal pain to attempt to
> >> > write a patch to allow this
> >>
> > The "pain" is patching two sets of source code :)
> 
> Then don't do that ;-), we just need a patch against the current CVS
> version to include it in Ant 1.4.

Ah, but I'm using 1.3 at the moment, so it's easiest to develop it
against
that :)

(Hopefully the difference shouldn't be too big, however.)
 
> > Right. My initial thought was to have a protected
> > getUpdateZipFileSet method and override it in subclasses
> 
> But please make this optional.  I know we could always tell people
> they should use <zip> if they want to include the original manifest
> file, but a lot of users are not even aware that a .jar file is a zip
> file.

I'm not sure what you mean by optional in this case... the user wouldn't
have to specify anything in this case - it would all be hard-coded in 
the relevant classes (with zip just returning an "include everything"
ZipFileSet). If the user wanted a specific manifest entry, they'd have
to specify the manifest themselves for the moment - I'll look into
other possibilities, but for the time being it's much easier to just
completely ignore the original manifest.

Jon

Mime
View raw message